org.apache.jmeter.protocol.http.control

## Class HttpMirrorControl

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.protocol.http.control.HttpMirrorControl

All Implemented Interfaces:
  Serializable, Cloneable, Searchable, TestElement

    public class HttpMirrorControl
    extends AbstractTestElement

Test element that implements the Workbench HTTP Mirror function For unit tests, @see TestHttpMirrorControl

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `DEFAULT_MAX_POOL_SIZE`
`static int` `DEFAULT_MAX_QUEUE_SIZE`
`static String` `DEFAULT_PORT_S`
`static String` `MAX_POOL_SIZE`
`static String` `MAX_QUEUE_SIZE`
`static String` `PORT`

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`HttpMirrorControl()`
`HttpMirrorControl(int port)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canRemove()` Called by Remove to determine if it is safe to remove the element.
`int` `getDefaultPort()`
`String` `getMaxPoolSizeAsString()`
`String` `getMaxQueueSizeAsString()`
`int` `getPort()`
`String` `getPortString()`
`boolean` `isServerAlive()`
`void` `setMaxPoolSize(String maxPoolSize)`
`void` `setMaxQueueSize(String maxQueueSize)`
`void` `setPort(int port)`
`void` `setPort(String port)`
`void` `startHttpMirror()`
`void` `stopHttpMirror()`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Field Detail

#### DEFAULT_PORT_S

    public static final String DEFAULT_PORT_S

#### PORT

    public static final String PORT

See Also:
  Constant Field Values

#### MAX_POOL_SIZE

    public static final String MAX_POOL_SIZE

See Also:
  Constant Field Values

#### MAX_QUEUE_SIZE

    public static final String MAX_QUEUE_SIZE

See Also:
  Constant Field Values

#### DEFAULT_MAX_POOL_SIZE

    public static final int DEFAULT_MAX_POOL_SIZE

See Also:
  Constant Field Values

#### DEFAULT_MAX_QUEUE_SIZE

    public static final int DEFAULT_MAX_QUEUE_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### HttpMirrorControl

    public HttpMirrorControl()

#### HttpMirrorControl

    public HttpMirrorControl(int port)

### Method Detail

#### setPort

    public void setPort(int port)

#### setPort

    public void setPort(String port)

#### getPort

    public int getPort()

#### getPortString

    public String getPortString()

#### getMaxPoolSizeAsString

    public String getMaxPoolSizeAsString()

Returns:
  Max Thread Pool size

#### setMaxPoolSize

    public void setMaxPoolSize(String maxPoolSize)

Parameters:
  `maxPoolSize` - Max Thread Pool size

#### getMaxQueueSizeAsString

    public String getMaxQueueSizeAsString()

Returns:
  Max Queue size

#### setMaxQueueSize

    public void setMaxQueueSize(String maxQueueSize)

Parameters:
  `maxQueueSize` - Max Queue size

#### getDefaultPort

    public int getDefaultPort()

#### startHttpMirror

    public void startHttpMirror()

#### stopHttpMirror

    public void stopHttpMirror()

#### canRemove

    public boolean canRemove()

Description copied from class: `AbstractTestElement`
Called by Remove to determine if it is safe to remove the element. The element can either clean itself up, and return true, or the element can return false.

Specified by:
  `canRemove` in interface `TestElement`
Overrides:
  `canRemove` in class `AbstractTestElement`
Returns:
  true if safe to remove the element

#### isServerAlive

    public boolean isServerAlive()